Package uk.ac.starlink.topcat.vizier

# Interface VizierMode

All Known Implementing Classes:
  `BasicVizierMode`, `CategoryVizierMode`, `MissionVizierMode`, `SearchVizierMode`, `SurveyVizierMode`, `WordVizierMode`

public interface VizierMode
Defines one of the GUI options for selecting a Vizier catalogue to search.

Since:
  19 Oct 2009
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Component`
`getComponent()`
Returns the graphical component containing user controls for this mode.
`String`
`getName()`
Returns a name for this mode.
`JTable`
`getQueryableTable()`
Returns a table whose rows represent VizieR catalogues.
`void`
`readData()`
Perform whatever updating from the remote server is necessary to initialise the state of this component from the currently installed VizierInfo.
`void`
`setVizierInfo(VizierInfo vizinfo)`
Sets the object which can query a VizieR server and store metadata.

## Method Details

### getName

String getName()
Returns a name for this mode.

Returns:
  name mode name

### getComponent

Component getComponent()
Returns the graphical component containing user controls for this mode.

Returns:
  component

### getQueryableTable

JTable getQueryableTable()
Returns a table whose rows represent VizieR catalogues. The table's model must be a `ArrayTableModel` with items that are `Queryable`s.

Returns:
  table of queryable objects representing Vizier catalogues

### setVizierInfo

void setVizierInfo(VizierInfo vizinfo)
Sets the object which can query a VizieR server and store metadata. This method must be called before the mode is called upon to contact the server.

Parameters:
  `vizinfo` - vizier search object

### readData

void readData()
Perform whatever updating from the remote server is necessary to initialise the state of this component from the currently installed VizierInfo. This method is called from the event dispatch thread, but should work asynchronously so as not to block the GUI.